net.sf.okapi.common.filters

## Class FilterInfo

- java.lang.Object
- - net.sf.okapi.common.filters.FilterInfo

- All Implemented Interfaces:
    java.lang.Comparable<FilterInfo>

      public class FilterInfo
      extends java.lang.Object
      implements java.lang.Comparable<FilterInfo>

  Storage for filter information.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `className` Name of the class of the filter.
    `java.lang.String` | `displayName` display name of the filter.
    `java.lang.String` | `name` Name of the filter.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FilterInfo()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(FilterInfo obj)` Compares the display names of the two filters.
    `java.lang.String` | `toString()` Returns the display name of this filter.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### name

          public java.lang.String name

      Name of the filter.

    - #### displayName

          public java.lang.String displayName

      display name of the filter.

    - #### className

          public java.lang.String className

      Name of the class of the filter.

  - ### Constructor Detail

    - #### FilterInfo

          public FilterInfo()

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Returns the display name of this filter.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### compareTo

          public int compareTo(FilterInfo obj)

      Compares the display names of the two filters.
      Specified by:
        `compareTo` in interface `java.lang.Comparable<FilterInfo>`
      Parameters:
        `obj` - the other filter info object to compare.
      Returns:
        the comparison result between the two filters display name, 0 if they are the same.